> ## Documentation Index
> Fetch the complete documentation index at: https://penseapp.vercel.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent

> Get one agent by its ID



## OpenAPI

````yaml /api-reference/openapi.json get /agents/{agent_uuid}
openapi: 3.1.0
info:
  title: Calibrate Public API
  version: 0.1.0
  description: Programmatic API for CI/automation. Pass your key in the `X-API-Key` header.
servers:
  - url: https://api.calibrate.artpark.ai
    description: Production
security: []
paths:
  /agents/{agent_uuid}:
    get:
      tags:
        - agents
      summary: Get agent
      description: Get one agent by its ID
      operationId: get_agent_endpoint_agents__agent_uuid__get
      parameters:
        - name: agent_uuid
          in: path
          required: true
          schema:
            type: string
            description: The agent to retrieve
            examples:
              - f47ac10b-58cc-4372-a567-0e02b2c3d479
            title: Agent Uuid
          description: The agent to retrieve
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/routers__agents__AgentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    routers__agents__AgentResponse:
      properties:
        uuid:
          type: string
          maxLength: 36
          minLength: 36
          title: Uuid
          description: ID of the agent
          examples:
            - f47ac10b-58cc-4372-a567-0e02b2c3d479
        name:
          type: string
          title: Name
          description: Name of the agent
        type:
          type: string
          enum:
            - agent
            - connection
          title: Type
          description: |-
            - `agent`: built inside Calibrate
            - `connection`: your existing agent connected to Calibrate
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          description: Agent configuration
        created_at:
          type: string
          title: Created At
          description: When the agent was created (ISO 8601 UTC)
        updated_at:
          type: string
          title: Updated At
          description: When the agent was last updated (ISO 8601 UTC)
      type: object
      required:
        - uuid
        - name
        - type
        - created_at
        - updated_at
      title: AgentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key for authentication

````